<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php $cr_Header = $themeHelper->getStoreConfig('mgstheme/general/header'); ?>
<?php $stickyLogo = $themeHelper->getStoreConfig('mgstheme/general/sticky_logo'); ?>

<?php if($stickyLogo): ?>
    <?php
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $stickyLogo = $objectManager->get('Magento\Store\Model\StoreManagerInterface')->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . 'stickylogo/' . $stickyLogo;
    ?>
<?php endif ?>

<?php if($themeHelper->getStoreConfig('mgstheme/general/sticky_menu') && $cr_Header != 'header_5'): ?>
	<script type="text/javascript">
		require([
			'jquery'
		], function(jQuery){
			(function($) {

				var height_header = $('.header').height();
				var height_middle_header = $('.middle-header-content').height();
				var height_bottom_header = $('.bottom-header-content').height();

				if(height_bottom_header){
					sticky_header = height_header - height_bottom_header;
				}else{
					sticky_header = height_header - height_middle_header;
				}
				$(document).ready(function(){
					//$('#placeholder-header').height(height_header);
				});

                var logoDf = $('.header .logo img').attr('src');
				if($('body').height() > $(window).height()){
					$(window).scroll(function(){
						<?php if($cr_Header != 'header_8' && $cr_Header != 'header_9'): ?>
							if($(this).scrollTop() > sticky_header){
                                <?php if($stickyLogo): ?>
                                    $('.header .logo img').attr("src","<?php echo $stickyLogo ?>");
                                <?php endif ?>
								if($(this).width() > 1023){
									$('.header').addClass('active-sticky');
								}else{
									<?php if($themeHelper->getStoreConfig('mgstheme/general/sticky_menu_mobile')): ?>
										$('.header').addClass('active-sticky');
									<?php endif ?>
								}
							}else {
                                <?php if($stickyLogo): ?>
                                    $('.header .logo img').attr("src",logoDf);
                                <?php endif ?>
								$('.header').removeClass('active-sticky');
							}
						<?php else: ?>
							var height_middle = $('.header .middle-header-content').height();
							if($(this).width() > 1023){
								if($(this).scrollTop() > height_header){
									<?php if($stickyLogo): ?>
										$('.header .logo img').attr("src","<?php echo $stickyLogo ?>");
									<?php endif ?>
									$('.header').addClass('active-sticky');
									<?php if($cr_Header == 'header_8'): ?>
										$("#main-Menucontent > .navigation").detach().prependTo('.parent__search');
									<?php endif ?>
								}else {
									<?php if($stickyLogo): ?>
										$('.header .logo img').attr("src",logoDf);
									<?php endif ?>
									$('.header').removeClass('active-sticky');
									<?php if($cr_Header == 'header_8'): ?>
										$(".parent__search > .navigation").detach().prependTo('#main-Menucontent');
									<?php endif ?>
								}
							}
						<?php endif ?>
					});
				}
			})(jQuery);
		});
	</script>
<?php endif ?>
<?php if($themeHelper->getStoreConfig('mgstheme/general/back_to_top')): ?>
	<a href="" class="scroll-to-top"><i class="fa fa-arrow-up"></i></a>
	<script type="text/javascript">
		require([
			'jquery'
		], function(jQuery){
      let win = window.innerWidth;
			(function($) {
        $(document).ready(function () {
          if (win > 767) {
            equalHeight(true);
          }
        });

				$(window).scroll(function(){
					if ($(this).scrollTop() > 70) {
						$('.scroll-to-top').css({bottom:"90px"});
					} else {
						$('.scroll-to-top').css({bottom:"-45px"});
					}
				});

				$('.scroll-to-top').click(function(){
					$('html, body').animate({scrollTop: '0px'}, 800);
					return false;
				});

        // Equel Height
				if (win > 767) {
					(function () {
						equalHeight(false);
					})();

          window.onresize = function(){
            equalHeight(true);
          }

					window.onload = function(){
						equalHeight(true);
					}

				}

				function equalHeight(resize) {
					var elements = document.getElementsByClassName("equalHeight"),
							allHeights = [],
							i = 0;
					if(resize === true){
						for(i = 0; i < elements.length; i++){
							elements[i].style.height = 'auto';
						}
					}
					for(i = 0; i < elements.length; i++){
						var elementHeight = elements[i].clientHeight;
						allHeights.push(elementHeight);
					}
					for(i = 0; i < elements.length; i++){
						elements[i].style.height = Math.max.apply( Math, allHeights) + 'px';
						if(resize === false){
							elements[i].className = elements[i].className + " show";
						}
					}
				}
			})(jQuery);
		});
	</script>
<?php endif ?>

<?php if (!$themeHelper->getStoreConfig('checkout/cart/redirect_to_cart')) : ?>
	<script type="text/x-magento-init">
	{
		"[data-role=tocart-form], .form.map.checkout": {
			"catalogAddToCart": {}
		}
	}
	</script>
<?php endif; ?>

<div class="mfp-wrap mfp-close-btn-in mfp-auto-cursor mfp-ready" id="mgs-ajax-loading">
	<div class="mfp-bg mfp-ready"></div>
	<div class="preloader"></div>
</div>

<script type="text/javascript">
    require([ 'jquery', 'mgs/owlcarousel' ], function ($) {
        $('.list_gallery').owlCarousel({
            items: 1,
            autoplay: false,
            nav: false,
            dots: true,
            rtl: RTL,
            touchDrag: false,
            mouseDrag: false,
            loop:false,
            navText: ["<span></span>","<span></span>"],
        });

        $('.js-quick-category').owlCarousel({
            items: 5,
            nav: true,
            dots: false,
            rtl: RTL,
            touchDrag: true,
            mouseDrag: false,
            loop: false,
            navText: ["<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yMCAuNzU1bC0xNC4zNzQgMTEuMjQ1IDE0LjM3NCAxMS4yMTktLjYxOS43ODEtMTUuMzgxLTEyIDE1LjM5MS0xMiAuNjA5Ljc1NXoiLz48L3N2Zz4='>","<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik00IC43NTVsMTQuMzc0IDExLjI0NS0xNC4zNzQgMTEuMjE5LjYxOS43ODEgMTUuMzgxLTEyLTE1LjM5MS0xMi0uNjA5Ljc1NXoiLz48L3N2Zz4='>"],
            responsive: {
              0: {
                  items: 3
              },
              767: {
                  items: 3
              },
              1200: {
                  items: 5
              }
          }
        });

        $('.js-ship-bar').owlCarousel({
            loop:true,
            margin:0,
            responsiveClass:true,
            touchDrag: false,
            mouseDrag: false,
            autoHeight:true,
            responsive:{
                0:{
                  items:1,
                  nav:false,
                  loop:true,
                  autoplay:true,
                  autoplayTimeout:3000,
                  dots: false,
                  touchDrag: true
                },
                768:{
                  items:3,
                  nav:false,
                  loop:false,
                  autoplay:false,
                  autoplayTimeout:false,
                  autoplayHoverPause:false,
                }
            }
        });

        $('.js-featured').owlCarousel({
            items: 4,
            nav: true,
            dots: true,
            rtl: RTL,
            touchDrag: false,
            mouseDrag: true,
            loop: false,
            // autoHeight:true,
            navText: ["<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yMCAuNzU1bC0xNC4zNzQgMTEuMjQ1IDE0LjM3NCAxMS4yMTktLjYxOS43ODEtMTUuMzgxLTEyIDE1LjM5MS0xMiAuNjA5Ljc1NXoiLz48L3N2Zz4='>","<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik00IC43NTVsMTQuMzc0IDExLjI0NS0xNC4zNzQgMTEuMjE5LjYxOS43ODEgMTUuMzgxLTEyLTE1LjM5MS0xMi0uNjA5Ljc1NXoiLz48L3N2Zz4='>"],
            responsive:{
                0:{
                  items: 1,
                  dots: true,
                  nav: false,
                  touchDrag: true,
                  mouseDrag: false,
                },
                768:{
                  items: 2,
                  dots: true,
                  nav: false,
                  touchDrag: true,
                  mouseDrag: false,
                },
                1024:{
                  items:2,
                  nav:false,
                  dots: true
                },
                1200:{
                  items: 4,
                  dots: true,
                  nav:false,
                  touchDrag: true
                }
            }
        });

        $('.js-blog-home').owlCarousel({
            items: 3,
            nav: false,
            dots: true,
            rtl: RTL,
            touchDrag: false,
            mouseDrag: false,
            loop: false,
            navText: ["<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yMCAuNzU1bC0xNC4zNzQgMTEuMjQ1IDE0LjM3NCAxMS4yMTktLjYxOS43ODEtMTUuMzgxLTEyIDE1LjM5MS0xMiAuNjA5Ljc1NXoiLz48L3N2Zz4='>","<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik00IC43NTVsMTQuMzc0IDExLjI0NS0xNC4zNzQgMTEuMjE5LjYxOS43ODEgMTUuMzgxLTEyLTE1LjM5MS0xMi0uNjA5Ljc1NXoiLz48L3N2Zz4='>"],
            responsive:{
                0:{
                  items: 1,
                  nav: true,
                  dots: false,
                  rtl: RTL,
                  touchDrag: true,
                  loop: false,
                },
                768:{
                  items: 2,
                  nav: true,
                  dots: false,
                  rtl: RTL,
                  touchDrag: true,
                  loop: false,
                },
                1024:{
                  items:3,
                  nav:false,
                  loop:false,
                  autoplay:false,
                  autoplayTimeout:false,
                  autoplayHoverPause:false,
                }
            }
        });

        // $('.owl-carousel').trigger('refresh.owl.carousel');
        $(window).resize(function() {
          $('.owl-carousel').trigger('refresh.owl.carousel');
        });
    });

</script>

<!-- Add Template Hover Products  -->
<?php $hover_template = $themeHelper->getStoreConfig('mpanel/catalog/hover'); ?>
<?php
    $top = 120;
    $speed= 5000;
    $timeout = 1;
?>
<script type="text/javascript">
	require([
		'jquery'
	], function($){
    function setCookie(name,value,days)
    {
      if (days) {
            var date = new Date();
            date.setTime(date.getTime()+(days*24*60*60*1000));
            var expires = "; expires="+date.toGMTString();
          }
          else var expires = "";
          document.cookie = name+"="+value+expires+"; path=/";
    }



    function getCookie(name)
    {
          var nameEQ = name + "=";
          var ca = document.cookie.split(';');
          for(var i=0;i < ca.length;i++) {
            var c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
          }
          return null;
    }

		$(document).ready(function(){
			$('.products-grid .product.product-item .product-item-info').addClass('<?php echo $hover_template ?>');
			$('.products-grid .products.product-items .product-item-info').addClass('<?php echo $hover_template ?>');
		});
	});
</script>

<script type="text/javascript">
	require([
		'jquery'
	], function(jQuery){
		(function($) {
			if($(window).width() > 1023) {
				$(window).scroll(function() {
					if($('.active-sticky').length){
						$('.header12 .megamenu-content .tab-content ').appendTo('.header12 .middle-header-content .logo-header');
					} else {
						$('.header12 .middle-header-content .logo-header .tab-content').appendTo('.header12 .megamenu-content ');
					}
				});
			}
			$(window).resize(function(){
				if($(window).width() > 1023) {
					$(window).scroll(function() {
						if($('.active-sticky').length){
							$('.header12 .megamenu-content .tab-content ').appendTo('.header12 .middle-header-content .logo-header');
						} else {
							$('.header12 .middle-header-content .logo-header .tab-content').appendTo('.header12 .megamenu-content ');
						}
					});
				}
			});
		})(jQuery);
	});
</script>
